require 'mysql2'
module DbMon

  class MysqlMonitor < Monitor
    def initialize(options)
      super(options)
      @connection = Mysql2::Client.new(host: 'localhost', username: @username, password: @password)    
    end

    def query_table
      return @connection.query("SELECT #{@time_column} FROM #{@table} WHERE #{@time_column} BETWEEN '#{@interval.seconds.ago}' AND '#{Time.now}' ORDER BY #{@time_column}")
    end
  end

end
