require 'pg'
module DbMon

  class PgMonitor < Monitor

    def initialize(options)
      super(options)
      @connection = PG.connect(dbname: @database, user: @username, password: @password)    
    end

    def query_table
      @connection.exec("SELECT #{@time_column} FROM #{@table} WHERE #{@time_column} BETWEEN '#{Time.now - @interval}' AND '#{Time.now}' ORDER BY #{@time_column}").values
    end



  end
end
